> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/83.-poizvedba-zberi-kontekst-platforme.md).

# 83. Poizvedba: zberi kontekst platforme

Pri velikem številu (stoih ali tisočih) obdelanih podatkovnih nizov (kot so "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" itd.) je vedno potreba po razumevanju statusa obdelave vsakega podatkovnega niza in zbiranju povzetka obdelave. Ti podatki so na voljo z uporabo `getPlatformContext` poizvedbe.&#x20;

Pogosti primeri:&#x20;

* Sledenje napredku obdelave
* Zbiranje povzetka obdelave in statistike
* Opazovanje napak in opozoril med obdelavo za nadaljnjo poglobljeno preiskavo prizadetih podatkovnih nizov

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     neobvezno
   }
 }
}
```

{% endcode %}

Podprti vhodni filtri:

* `dateFrom` kot datum in čas v obliki ISO 8601 (npr.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` kot datum in čas v obliki ISO 8601 (npr.: `"2023-05-30T06:35:00.000Z"`)
* `operationIds` kot polje identifikatorjev operacij (`Nizi`)
* `statuses` kot polje vsebovanih vrednosti iz `ContextEventStatus` enum z vsemi statusi obdelave vključno s vmesnimi; priporočeno je uporabiti ključne vrednosti `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` kot polje vrednosti `TreeNodeEntity` enum z vsemi GeoPard entitetami
* `subFieldUuids` kot polje UUID-jev povezanih z izbranimi entitetami v `subFieldTypes`&#x20;
* `userUuids` kot polje UUID-jev "User", ki jih je treba iskati

{% hint style="info" %}
Mora biti inicializiran vsaj en od naslednjih filtrov: `userUuids`, `fieldUuids`, `subFieldUuids`, ali `operationIds`.
{% endhint %}

{% hint style="info" %}
Če `dateFrom` in `dateTo` nista določena, je privzeto trajanje poizvedbe nastavljeno na 12 ur. Priporočeno največje časovno obdobje za pridobivanje podatkov je 24 ur.
{% endhint %}

{% hint style="info" %}
Obstaja omejitev največ 10.000 dostavljenih vrstic.
{% endhint %}

{% hint style="info" %}
Za ogled vseh razpoložljivih najnovejših vrednosti enumov (kot so: `TreeNodeEntity`,  `ContextEventStatus, ContextMessageKey`), je priporočljivo uporabiti [Altair](/geopard-tutorials/svn/dokumentacija-api/uvod-v-api-geopard.md).
{% endhint %}

Izhodni objekt vključuje naslednje atribute:

* `fieldUuid` predstavlja UUID povezanega polja (Field)
* `subFieldUuid` označuje UUID povezanega obdelanega podatkovnega niza (kot so "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" itd.)
* `subFieldType` kot enum povezan z `TreeNodeEntity`
* `operationId` kot niz, ki vsebuje identifikator operacije; ostaja skladen v vseh povezanih obdelovalnih verigah; priporočljivo je združevati po tem identifikatorju za sledenje vseh stopenj obdelave
* `status` kot enum povezan z `ContextEventStatus`
* `executionDate` kot niz v obliki ISO 8601, ki označuje trenutek izvajanja
* `messageKey` kot enum povezan z `ContextMessageKey` ki opisuje izid izvajanja
* `neobvezno` kot niz, ki nudi tehničen opis (če je ustrezen); uporablja se predvsem za razhroščevanje in poročanje o napakah


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/83.-poizvedba-zberi-kontekst-platforme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
